package seminar;
import java.util.regex.*;

/**********************************************************************
 * RFC1117.java
 * Robert Pintarelli <robert.pintarelli@wh-hms.uni-ulm.de>
 * Created: <Fri Apr 30 16:00:01 2004>
 * Time-stamp: <2004-04-30 16:38:48 clean> (Last Modified)
 **********************************************************************/
 
public class RFC1117 {
    /**
     * berprft ob eine in dotted-decimal geschriebene IP korrekt 
     * ist, siehe RFC1117
     * @param ip zu testende ip
     * @return true falls die ip korrekt ist
     */
    public static boolean checkDottedIP(String ip) throws Exception {
	Pattern p = Pattern.compile("^(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})$");
	Matcher m = p.matcher(ip);
	if (m.matches()) {
	    for (int i=1; i<=4; i++) {
		int test = Integer.parseInt(m.group(i));
		if (test < 0 || test > 255) {
		    return false;
		}
	    }
	    return true;
	}
	return false;
    }
};
