package seminar;
import java.util.HashSet;
/**
 * Rechnereintrag
 *
 * jeder angemeldetet Benutzer kann mehrere Rechner besitzen.
 * die Rechner knnen unter diversen Betriebssystemem laufen.
 *
 * $Id: simpleHost.java,v 1.4 2004/04/30 19:23:47 rp Exp $
 */
public class simpleHost {
    /** die id des Besitzers */
    private int _id;
    /** die MAC adresse des Rechners */
    private String _mac;
    /** der Name des Rechners */
    private String _name;
    /** die IP des Rechners */
    private String _ip;
    /** Status ob der Rechner Verbindung nach aussen haben darf */
    private boolean _active = false;
    /** Betriebssysteme */
    private HashSet _oss;

    /**
     * neue "leere" instanz erzeugen
     */
    public simpleHost() {
	_id = -1;
	_mac = "";
	_name = "";
	_ip  = "";
	_active = false;
	_oss = new HashSet();
    };

    /**
     * die Betriebssysteme des Hosts liefern
     * @return ein HashSet mit den OS
     */
    public HashSet getOSs() {
	return new HashSet(_oss);
    }

    /**
     * ein Betriebssystem hinzufgen
     * @param os das OS zum Hinzufgen
     */
    public void addOS(simpleOS os) {
	_oss.add(os);
    }

    /**
     * die ID des Besitzers setzen
     * @param id die id des Besitzers
     */
    public void setId(int id) {
	_id = id;
    }

    /**
     * die MAC des Hosts setzen
     * @param mac die MAC des Hosts
     */
    public void setMAC(String mac) {
	if (!ieee802.checkMAC(mac)) {
	    throw(new IllegalArgumentException(mac + " ist nicht korrekt!"));
	}
	_mac = mac;
    }

    /**
     * den Namen des Hosts setzen
     * @param name der Name des Hosts
     */
    public void setName(String name) {
	if (!RFC1034.checkName(name)) {
	    throw(new IllegalArgumentException(name + " ist nicht korrekt!"));
	}
	_name = name;
    }

    /**
     * die IP des Hosts setzen
     * @param ip die IP des Hosts
     */
    public void setIP(String ip) {
	try {
	    if (!RFC1117.checkDottedIP(ip)) {
		throw(new IllegalArgumentException(ip +" ist nicht korrekt!"));
	    } 
	} catch (Exception e) {
	    throw(new IllegalArgumentException(ip + "Fehler:"+e.getMessage()));
	}
	    
	_ip = ip;
    }

    /**
     * Flag ob Rechner momentan aktiv ist setzen
     * @param active Flag ob rechner aktiv
     */
    public void setActive(boolean active) {
	_active = active;
    }

    /**
     * die ID des Besitzers zurckgeben
     * @return id des Besitzers
     */
    public int getId() {
	return _id;
    }
    
    /**
     * MAC des Hosts zurckgeben+
     * @return MAC des Hosts zurckgeben
     */
    public String getMAC() {
	return _mac;
    }

    /**
     * Namen des Hosts zurckgeben
     * @return Name des Hosts
     */
    public String getName() {
	return _name;
    }

    /**
     * IP des Hosts zurckgeben#
     * @return IP des Hosts
     */
    public String getIP() {
	return _ip;
    }

    /**
     * Flag ob Host aktiv ist zurckgeben
     * @return Flag ob Host aktiv
     */
    public boolean isActive() {
	return _active;
    }
}
