/**********************************************************************
 * DBWriterTest.java
 * Robert Pintarelli <robert.pintarelli@wh-hms.uni-ulm.de>
 * Created: <Mon May  3 08:38:01 2004>
 * Time-stamp: <2004-05-03 08:53:07 clean> (Last Modified)
 **********************************************************************/


package test;
import org.dbunit.*;
import org.dbunit.database.*;
import org.dbunit.database.DatabaseConnection;
import org.dbunit.dataset.*;
import org.dbunit.dataset.xml.FlatXmlDataSet;
import org.dbunit.Assertion;
import java.sql.*;
import java.io.FileInputStream;
import seminar.simpleOS;
import seminar.DBWriter;

public class DBWriterTest extends DatabaseTestCase {
    public DBWriterTest(String name) {
	super(name);
    }

    protected IDatabaseConnection getConnection() throws Exception
    {
        Class driverClass = Class.forName("org.postgresql.Driver");
        Connection jdbcConnection = DriverManager.getConnection(
                "jdbc:postgresql://192.168.1.2/seminar", "seminar", "seminar");
        return new DatabaseConnection(jdbcConnection);
    }

    protected Connection getTestConnection() throws Exception {
        Class driverClass = Class.forName("org.postgresql.Driver");
        return DriverManager.getConnection(
                "jdbc:postgresql://192.168.1.2/seminar", "seminar", "seminar");
    }

    protected IDataSet getDataSet() throws Exception
    {
        return new FlatXmlDataSet(new FileInputStream("test/full-os.xml"));
    }   


    private simpleOS _os;
    private DBWriter _writer;

    public void setUp() throws Exception {
        super.setUp();
        _os = new simpleOS("Linux", "open source");
	_writer = new DBWriter();
    }

    public void testWriteDB() throws Exception {
        Connection con = getTestConnection();
        _writer.writeObject(con, _os);

        // Fetch database data after executing your code
        IDataSet databaseDataSet = getConnection().createDataSet();
        ITable actualTable = databaseDataSet.getTable("OS");

        // Load expected data from an XML dataset
        IDataSet expectedDataSet = 
	    new FlatXmlDataSet(new FileInputStream("test/full-os-correct.xml"));
        ITable expectedTable = expectedDataSet.getTable("OS");

        // Assert actual database table match expected table
        Assertion.assertEquals(expectedTable, actualTable);
        
    }
    
}
