package test;
import junit.framework.*;
import seminar.RFC1117;

/**********************************************************************
 * RFC1117Test.java
 * Robert Pintarelli <robert.pintarelli@wh-hms.uni-ulm.de>
 * Created: <Fri Apr 30 16:26:29 2004>
 * Time-stamp: <2004-04-30 16:33:41 clean> (Last Modified)
 **********************************************************************/
 
public class RFC1117Test extends TestCase {
    public RFC1117Test(String name) {
	super(name);
    }
    
    public void testCorrectIp() throws Exception {
	assertTrue(RFC1117.checkDottedIP("134.60.166.2")); //theseus
    }

    public void testTailoredIp() throws Exception {
	assertFalse(RFC1117.checkDottedIP("134.60.166"));
    }

    public void testExentedIp() throws Exception {
	assertFalse(RFC1117.checkDottedIP("134.60.166.2.2"));
    }

    public void testImpossibleIp1() throws Exception {
	assertFalse(RFC1117.checkDottedIP("256.60.166.2.2"));
    }
    
    public void testImpossibleIp2() throws Exception {
	assertFalse(RFC1117.checkDottedIP("1134.60.166.2"));
    }

    public void testSyntacticallyWrongIp() throws Exception {
	assertFalse(RFC1117.checkDottedIP("134-60.220.2"));
    }
}
