package test;
import junit.framework.*;
import seminar.simpleHost;
import seminar.simpleOS;
import java.util.HashSet;

/**********************************************************************
 * simpleHostTest.java
 * Robert Pintarelli <robert.pintarelli@wh-hms.uni-ulm.de>
 * Created: <Fri Apr 30 12:35:52 2004>
 * Time-stamp: <> (Last Modified)
 **********************************************************************/
 
public class simpleHostTest extends TestCase {
    private HashSet _oss;
    private simpleHost _host;
    private simpleOS _os1;
    private simpleOS _os2;
    
    public simpleHostTest(String name) {
	super(name);
    }

    public void setUp() throws Exception {
	super.setUp();
	_oss = new HashSet();
	_host = new simpleHost();
	_os1 = new simpleOS("Linux", "open source");
	_os2 = new simpleOS("Windows", "Microsoft Corporation");
    }

    public void testAddOs() {
	_host.addOS(_os1);
	_oss.add(_os1);
	assertTrue(_oss.equals(_host.getOSs()));
    }

    public void testAddTwoOs() {
	_host.addOS(_os1);
	_host.addOS(_os2);
	_oss.add(_os1);
	_oss.add(_os2);
	assertTrue(_oss.equals(_host.getOSs()));
    }

    public void testAddDuplicateOs() {
	_host.addOS(_os1);
	_host.addOS(_os1);
	_oss.add(_os1);
	assertTrue(_oss.equals(_host.getOSs()));
    }

    public void testGetId() {
	_host.setId(1);
	assertTrue(_host.getId() == 1);
    }
    public void testGetMAC() {
	_host.setMAC("00:00:e2:2f:69:77");
	assertTrue(_host.getMAC().equals("00:00:e2:2f:69:77"));
    }
    public void testGetName() {
	_host.setName("theseus");
	assertTrue(_host.getName().equals("theseus"));
    }
    public void testGetIP() {
	_host.setIP("136.60.166.2");
	assertTrue(_host.getIP().equals("136.60.166.2"));
    }
    public void testGetActive() {
	_host.setActive(true);
	assertTrue(_host.isActive());
    }

};
