package test;
import junit.framework.*;
import seminar.simpleOS;

/**********************************************************************
 * simpleOSTest.java
 * Robert Pintarelli <robert.pintarelli@wh-hms.uni-ulm.de>
 * Created: <Wed Apr 28 15:13:22 2004>
 * Time-stamp: <2004-04-28 15:14:22 clean> (Last Modified)
 **********************************************************************/
 
/**
 * tests fr OS Klasse
 */
public class simpleOSTest extends TestCase {

    private simpleOS _os;
    private simpleOS _os2;
    private simpleOS _os3;
    private simpleOS _os4;

    public simpleOSTest(String name) {
	super(name);
    }

    /**
     * immere gleiche umgebung schaffen
     */
    public void setUp() throws Exception {
        super.setUp();
        _os = new simpleOS("Linux", "open source");
        _os2 = new simpleOS("Linux", "open source");
        _os3 = new simpleOS("Linux", "open source");
        _os4 = new simpleOS("Windows", "open source");
    }

    public void testGetName() {
	assertTrue(_os.getName().equals("Linux"));
    }

    public void testGetCompany() {
	assertTrue(_os.getCompany().equals("open source"));
    }

    //equals tests
    public void testEqualsSymmetric() {
        //symmetrie testen
        assertTrue(_os.equals(_os2));
        assertTrue(_os2.equals(_os));
    }

    public void testEqualsReflexiv() {
        //reflexivit\xe4t testen
        assertTrue(_os.equals(_os));
    }

    public void testEqualsTransitiv() {
        //transitivit\xe4t testen
        assertTrue(_os.equals(_os2) && _os2.equals(_os3) && _os.equals(_os3));
    }

    public void testEqualsSame() {
	assertTrue(_os.equals(_os2));
    }

    public void testEqualsNot() {
        assertFalse(_os.equals(_os4));
    }

    public void testEqualsOther() {
        assertFalse(_os.equals(new String("Linux")));
    }

    public void testEqualsNull() {
        //test gegen null testen
        assertFalse(_os.equals(null));
    }

    public void testHashCode() {
	assertTrue(_os.hashCode() == _os2.hashCode());
    }
}
