package test;
import junit.framework.*;
import seminar.RFC1034;

/**********************************************************************
 * RFC1034Test.java
 * Robert Pintarelli <robert.pintarelli@wh-hms.uni-ulm.de>
 * Created: <Fri Apr 30 13:12:56 2004>
 * Time-stamp: <2004-04-30 13:30:17 clean> (Last Modified)
 **********************************************************************/
 
public class RFC1034Test extends TestCase {
    public RFC1034Test(String name) {
	super(name);
    }

    public void testNameOK() {
	assertTrue(RFC1034.checkName("theseus")); //test by example, nicht gut
	//aber die alternative geht auch nicht, zuviele kombinationen
        //genau genommen: \sum_{i=1}^{63} 62*63^{i-1}
    }

    public void testNameTooLong() {
	assertFalse(RFC1034.checkName("aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"));
    }

    public void testNameWrongChars() {
	assertFalse(RFC1034.checkName("mein_rechner"));
    }

    public void testNameWrongStart() {
	assertFalse(RFC1034.checkName("0"));
    }
};
